<?php
if (!isset($siledap_path)) {
	require_once("../config.php");
}
require_once($siledap_path."/LdapConf.php");
require_once($siledap_path."/LdapManager.php");
require_once($siledap_path."/LdapEntry.php");
require_once($siledap_path."/LdapAttribute.php");
require_once($siledap_path."/LdapObjClassDef.php");

class LdapSchema {
    var $lm;
    
    function LdapSchema() {
		global $LDAP_SERVER_NAME,$LDAP_SERVER_PORT,$LDAP_USER,$LDAP_PASS;
		$this->lm=new LdapManager($LDAP_SERVER_NAME,$LDAP_SERVER_PORT);
		$this->lm->setOption(LDAP_OPT_PROTOCOL_VERSION,3);
		$this->lm->connectLdap($LDAP_USER,$LDAP_PASS);
    }
    
    function getSchema($fullinfo) {
    	$res=array();
        $entry=$this->lm->getEntry("cn=SubSchema",array("objectClasses"));
        $attrs=$entry->getAttributeValues();
        $listObj=$attrs['objectClasses'];
        foreach ($listObj as $objRaw) {
            $objInfo=new LdapObjClassDef($objRaw);
            array_push($res,$objInfo);
        }
        
        return $res;
    }
}
?>
